API ReferenceapiidentityDELETE /v1/me/grants/{id}

DELETE /v1/me/grants/\{id\}

Service: identity · operationId: (none)

Revoke an OAuth grant by id — idempotent

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

204 Grant revoked successfully (or was already revoked)

401 Not authenticated

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X DELETE https://identity.platform.loop.health/v1/me/grants/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"